Get Single Job
curl --request GET \
--url https://api.tryhamsa.com/v2/jobs/view/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.tryhamsa.com/v2/jobs/view/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tryhamsa.com/v2/jobs/view/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed successfully",
"messageKey": "OPERATION_SUCCESSFUL",
"data": {
"id": "5b171552-c5f7-42a9-ad92-c7945460dbb5",
"title": "كلام البيزنس اللي كلنا بنستناه في اي Deal | شارك تانك مصر | الموسم الرابع",
"type": "TRANSCRIPTION",
"status": "COMPLETED",
"cost": 7,
"systemModelKey": "HAMSA_GENERAL_V2.0",
"createdAt": "2025-12-21T01:27:45.979Z",
"updatedAt": "2025-12-21T00:00:00.000Z",
"url": "https://www.youtube.com/watch?v=dLIKa3TimOM",
"createdBy": "82a59526-9925-4ac1-914a-033518bd712a",
"attributes": {
"apiKey": "89a66718-2e43-4c05-b5f0-93bc1ae4daf9",
"mediaUrl": "https://www.youtube.com/watch?v=dLIKa3TimOM",
"model": "Hamsa-General-V2.0",
"mediaType": "YOUTUBE"
},
"relevantJobId": null,
"apiKey": "89a66718-2e43-4c05-b5f0-93bc1ae4daf9"
}
}{
"code": 9400,
"message": "Job Id is required",
"messageKey": "FieldMustBeString"
}{
"success": false,
"code": 404,
"message": "Resource not found"
}{
"success": false,
"code": 500,
"message": "Internal server error"
}Jobs Routes
Get Single Job
Retrieve detailed information about a specific job.
GET
/
v2
/
jobs
/
view
/
{id}
Get Single Job
Authorizations
Pass the API key in the Authorization header, You need to put Token keyword before the API key. e.g. 'Authorization: Token '
Path Parameters
The unique identifier of the job
Example:
"48f7656f-098b-4c43-b165-7cfd2cc8ac30"
Query Parameters
The unique identifier of the project
Example:
"48f7656f-098b-4c43-b165-7cfd2cc8ac30"
Was this page helpful?
⌘I